Zum Inhalt springen

Phota Text to Image

Integrieren

Modell-ID phota
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/phota?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,09 $ 90 API-Credits · ≈ 9,42 ₽ Auf dieser Seite ausführen

API-Schlüssel abrufen
Open model Text zu Bild 4K-Ausgabebis zu 4K #stylized#transform#typography#phota

Text-zu-Bild mit auswählbarem Basismodell und Unterstützung trainierter Identitätsprofile im Prompt

Open model · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Bildgenerierungs-Prompt, in dem bestimmte Profile mit [[profile_id_1]], [[profile_id_2]] usw. referenziert werden können; beschreiben Sie das zu erstellende Bild.

resolution Standard 1K

Für das generierte Bild zu verwendende Auflösung.

aspect_ratio Standard auto

Verhältnis von Breite zu Höhe des Ausgabe-Bildes.

num_images Standard 1

Anzahl der zu erzeugenden Bilder.

Erweitert output_format · base_model · enable_safety_checker
output_format Standard jpeg

Dateiformat des resultierenden Bilds.

base_model Standard nb2

Auswahl des Rendering-Modells, wobei `4K` nur über `nb2` verfügbar ist. Identitätsebenen werden über jedes ausgewählte Basismodell gelegt, sodass jede Auswahl mit trainierten Profilen kompatibel ist.

POST /run/phota?wait=20 Preis → 0,09 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/phota?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Phota Text to Image

Erzeugt Fotos aus einem Prompt und kann im Prompt-Text auf trainierte Profile wie [[profile_id_1]] und so weiter verweisen. `base_model` wählt den Renderer: nb2, qwen-image-2, flux-2 oder seedream-5-pro. `resolution` ist 1K oder 4K, wobei 4K nur mit nb2 verfügbar ist. Seitenverhältnisse sind auto, 1:1, 16:9, 4:3, 3:4 oder 9:16; pro Aufruf werden 1 bis 4 Bilder zurückgegeben.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
Bildgenerierungs-Prompt, in dem bestimmte Profile mit [[profile_id_1]], [[profile_id_2]] usw. referenziert werden können; beschreiben Sie das zu erstellende Bild.
num_imagesoptional num_outputs
Typinteger
Standard1
1 – 4
Anzahl der zu erzeugenden Bilder.
output_formatoptional
Typenum
Standardjpeg
jpegpng
Dateiformat des resultierenden Bilds.
resolutionoptional
Typenum
Standard1K
1K4K
Für das generierte Bild zu verwendende Auflösung.
aspect_ratiooptional
Typenum
Standardauto
auto1:116:94:33:49:16
Verhältnis von Breite zu Höhe des Ausgabe-Bildes.
base_modeloptional
Typenum
Standardnb2
nb2qwen-image-2flux-2seedream-5-pro
Auswahl des Rendering-Modells, wobei `4K` nur über `nb2` verfügbar ist. Identitätsebenen werden über jedes ausgewählte Basismodell gelegt, sodass jede Auswahl mit trainierten Profilen kompatibel ist.
enable_safety_checkeroptional
Typboolean
Standardtrue
Die Prüfung kann durch Setzen auf false gelockert werden, sofern der Aufrufer dazu berechtigt ist.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "phota",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 90,
    "usd": "0.09",
    "charged": 90,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size, width, height}URL zum generierten Bild.

Weitere Modelle: Text zu Bild

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/phota.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt